%global         momorel 3

Name:           perl-Test-Exception-LessClever
Version:        0.006
Release:        %{momorel}m%{?dist}
Summary:        Test::Exception simplified
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Exception-LessClever/
Source0:        http://www.cpan.org/authors/id/E/EX/EXODIST/Test-Exception-LessClever-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Carp
BuildRequires:  perl-Mock-Quick >= 1.100
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Test-Simple >= 0.88
Requires:       perl-Carp
Requires:       perl-Test-Simple
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
An alternative to Test::Exception that is much simpler. This alternative
does not use fancy stack tricks to hide itself. The idea here is to keep it
simple. This also solves the Test::Exception bug where some dies will be
hidden when a DESTROY method calls eval. If a DESTROY method masks $@ a
warning will be generated as well.

%prep
%setup -q -n Test-Exception-LessClever-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc META.json README
%{perl_vendorlib}/Test/Exception/LessClever.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-3m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-2m)
- rebuild against perl-5.18.2

* Wed Nov 27 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.006-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
